#!/bin/bash

COMMAND_FILE=/tmp/command

lounge_light() {
	./light.sh $1
}

lounge_light_toggle() {
	./light.sh
}

cd "$(dirname $0)"
rm -f "$COMMAND_FILE"
mkfifo "$COMMAND_FILE"
chmod 666 "$COMMAND_FILE"
while true; do
	while IFS='' read -r line || [[ -n "$line" ]]; do
		echo "command received: $line"
		case "$line" in
			lounge_light_toggle)
				lounge_light_toggle
				;;
			lounge_light*)
				lounge_light "$(echo "$line " | cut -d" " -f2 | grep -oe "[a-z]\?[0-9a-fA-F]*" | head -n1)"
				;;
			*)
				echo "ERROR; available commands:" >&2
				echo "lounge_light lounge_light_toggle" >&2
				;;
		esac
	done < "$COMMAND_FILE"
done
