#!/bin/bash --

# shold be started from a separate account
# access via ssh:
#    cat .ssh/authorized_keys
#    command="/home/automation/chch-power/shell.sh",no-port-forwarding,no-X11-forwarding,no-agent-forwarding,no-pty ssh-rsa AAAA...

COMMAND_FILE=/tmp/command
if [ ! -p "$COMMAND_FILE" ]; then
	echo "ERROR; command watcher not listening:" >&2
	exit 1
fi

status() {
	STATUS="$(cat /tmp/status)"
	if [ -z "$STATUS" ]; then
		STATUS="geschlossen"
	fi
	echo "$STATUS"
}

lounge_light() {
	COMMAND="lounge_light $1"
	echo "$COMMAND" >> $COMMAND_FILE
	echo "OK $COMMAND"
}

lounge_light_toggle() {
	COMMAND="lounge_light_toggle"
        echo "$COMMAND" >> $COMMAND_FILE
        echo "OK $COMMAND"
}

read COMMAND
case "$COMMAND" in
	status)
		status
		;;
	lounge_light_toggle)
		lounge_light_toggle
		;;
	lounge_light\ *)
		lounge_light "$(echo "$COMMAND " | cut -d" " -f2 | grep -oe "[a-z]\?[0-9a-fA-F]*" | head -n1)"
		;;
	*)
		echo "ERROR; available commands:" >&2
		echo "status, lounge_light [string], lounge_light_toggle" >&2
		exit 1
		;;
esac

exit 0
